--
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
--

JD7530Menue = {};

function JD7530Menue.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function JD7530Menue:load(xmlFile)
	self.JD7530Menue = false;
end;

function JD7530Menue:delete()
end;

function JD7530Menue:mouseEvent(posX, posY, isDown, isUp, button)
end;

function JD7530Menue:keyEvent(unicode, sym, modifier, isDown)
end;

function JD7530Menue:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.JD7530MENUE) then
			self.JD7530Menue = not self.JD7530Menue;
		end;
	end;
end;

function JD7530Menue:updateTick(dt)
end;

function JD7530Menue:draw()
	if not self.JD7530Menue then
		renderText(0.82, 0.26, 0.02, "Num 0: HUD Einschalten");
	else
		renderText(0.82, 0.26, 0.02, "Num 0: HUD Abschalten");
    	renderText(0.78, 0.54, 0.02, "Taste J: Fr.Hydro auf/ab");
    	renderText(0.78, 0.52, 0.02, "Taste M: Frontlader an/aus");
    	renderText(0.78, 0.50, 0.02, "Taste POS 1: RUL an/aus");
    	renderText(0.78, 0.48, 0.02, "Taste 5/6: Attacher ab/auf");
    	renderText(0.78, 0.46, 0.02, "Taste 9: Radgewichte");
		renderText(0.78, 0.44, 0.02, "Taste KP_1: Blinker Li.");
    	renderText(0.78, 0.42, 0.02, "Taste KP_2: Warnblinker");
    	renderText(0.78, 0.40, 0.02, "Taste KP_3: Blinker Re.");
		renderText(0.78, 0.38, 0.02, "Taste KP_4: Heckfenster a/z");		
    	renderText(0.78, 0.36, 0.02, "Taste KP_5: Spiegel ein-/auskl");			
		renderText(0.78, 0.32, 0.02, "Taste KP_7: Dachluke auf/zu");
		renderText(0.78, 0.30, 0.02, "Taste KP_8: Tuer Li. auf/zu");
		renderText(0.78, 0.28, 0.02, "Taste KP_9: Tuer Re. auf/zu");		
	end;
end;

function JD7530Menue:onLeave()
	self.JD7530Menue = false;
end;




